> ## Documentation Index
> Fetch the complete documentation index at: https://docs.midjourney-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Status

> Use the Midjourney task result API to fetch generation status, output data, and image result URLs in asynchronous image workflows.



## OpenAPI

````yaml POST /midjourney/v1/job-status
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.midjourney-api.com
security:
  - CustomApiKey: []
paths: {}
components:
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://midjourney-api.com/dashboard'
        target='_blank'>Midjourney-api Dashboard</a>.

````